const testConf = require("./karma.conf.js");

const USE_SANDBOXED_CHROME = process.env['TRAVIS'];

const browsers = USE_SANDBOXED_CHROME ? [ 'TravisCI' ] : [ 'Chrome' ];

const e2eOverride = {
    files: [ { pattern: 'e2e-bundle.js', watched: false } ],
    preprocessors: { 'e2e-bundle.js': [ 'webpack', 'sourcemap' ] },
    browsers: browsers,
    customLaunchers: {
        TravisCI: {
            base: "Chrome",
            flags: [ '--no-sandbox' ]
        }
    }
};

module.exports = function(config) {
    const dummyConfig = {
        set: function(options) {
            config.set(Object.assign(options, e2eOverride));
        },
        LOG_INFO: config.LOG_INFO
    };

    testConf(dummyConfig);
};
