"use strict";

const template = require('./template-utils.js');
const comment = require('./comment.js');
const mapProps = require('./map-props.js');

const classTemplate = template.compileFrom('class-page.hbs');
const classPage = (member) => {
    let members = null;
    if (member.children) {
        members = mapProps(member.children, member.name);
    }

    return classTemplate({
        comment: comment(member),
        members: members,
        name: member.name,
        slug: member.slug
    });
};

module.exports = classPage;

