"use strict";

const template = require('./template-utils.js');
const componentPage = require('./component-page.js');
const constantPage = require('./constant-page.js');
const classPage = require('./class-page.js');
const unionPage = require('./union-page.js');

template.partialFrom('member_meta', 'member-meta.hbs');

const memberPage = (member) => {
    switch (member.kind) {
    case 'component':
    case 'directive':
        return componentPage(member);
    case 'class':
        return classPage(member);
    case 'constant':
        return constantPage(member);
    case 'union':
        return unionPage(member);
    default:
        throw new Error(`Unknown member kind '${member.kind}' for ${member.name}`);
    }
};

module.exports = memberPage;

