"use strict";

const fs = require('fs');
const path = require('path');
const hbs = require('handlebars');

const readLocal = (src) =>
    fs.readFileSync(path.join(__dirname, src), { encoding: 'utf-8' });

const compile = (src) =>
    hbs.compile(readLocal(src), { noEscape: true });

const partial = (name, source) =>
    hbs.registerPartial(name, readLocal(source));

const safeString = (str) =>
    new hbs.SafeString(str);

module.exports = {
    compile: hbs.compile,
    compileFrom: compile,
    partialFrom: partial,
    safeString: safeString
};

