/*eslint no-console: 0 */
"use strict";

require('colors');

const flatten = (arr) => arr.reduce((flat, next) => flat.concat(next), []);

const nameComparer = (a, b) => a.name.localeCompare(b.name);

const WARNINGS = [];
const warn = (type, text) => {
    const msg = `${'WARN'.yellow} ${type.blue} ${text}`;
    WARNINGS.push(msg);

    console.warn(msg);
};

module.exports = {
    flatten: flatten,
    nameComparer: nameComparer,
    warn: warn,
    warnings: () => WARNINGS
};

